::cnb-api
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0
- Package version: 0.0.1
- Generator version: 7.12.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen
For more information, please visit [https://docs.cnb.cool/](https://docs.cnb.cool/)

## Requirements.

Python 3.8+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import cnb_api
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import cnb_api
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import cnb_api
from cnb_api.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to http://localhost
# See configuration.py for a list of all supported configuration parameters.
configuration = cnb_api.Configuration(
    host = "http://localhost"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure API key authorization: BearerAuth
configuration.api_key['BearerAuth'] = os.environ["API_KEY"]

# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['BearerAuth'] = 'Bearer'


# Enter a context with an instance of the API client
with cnb_api.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = cnb_api.ArtifactoryApi(api_client)
    slug = 'slug_example' # str | Slug
    type = 'type_example' # str | Type
    name = 'name_example' # str | Name
    tag = 'tag_example' # str | Tag

    try:
        # 删除制品标签。 Delete the specific tag under specific package
        api_instance.delete_package_tag(slug, type, name, tag)
    except ApiException as e:
        print("Exception when calling ArtifactoryApi->delete_package_tag: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*ArtifactoryApi* | [**delete_package_tag**](docs/ArtifactoryApi.md#delete_package_tag) | **DELETE** /{slug}/-/packages/{type}/{name}/-/tag/{tag} | 删除制品标签。 Delete the specific tag under specific package
*ArtifactoryApi* | [**delete_registry**](docs/ArtifactoryApi.md#delete_registry) | **DELETE** /{registry} | 删除制品仓库。Delete the artifact repository.
*ArtifactoryApi* | [**download_quotas_by_project_name**](docs/ArtifactoryApi.md#download_quotas_by_project_name) | **GET** /{slug}/-/packages/{type}/-/quotas/download | 下载制品配额信息。 Download registry quota details.
*ArtifactoryApi* | [**get_package**](docs/ArtifactoryApi.md#get_package) | **GET** /{slug}/-/packages/{type}/{name} | 获取某一制品的详细信息。 Get the package detail.
*ArtifactoryApi* | [**get_package_tag_detail**](docs/ArtifactoryApi.md#get_package_tag_detail) | **GET** /{slug}/-/packages/{type}/{name}/-/tag/{tag} | 获取制品标签详情。 Get the specific tag under specific package.
*ArtifactoryApi* | [**get_quota_by_project_name**](docs/ArtifactoryApi.md#get_quota_by_project_name) | **GET** /{slug}/-/packages/{type}/-/quota | 查询制品配额。 Get quota of specific registry.
*ArtifactoryApi* | [**get_quotas_by_project_name**](docs/ArtifactoryApi.md#get_quotas_by_project_name) | **GET** /{slug}/-/packages/{type}/-/quotas | 查询全部制品配额。 Get quotas of packages under one registry.
*ArtifactoryApi* | [**head_packages**](docs/ArtifactoryApi.md#head_packages) | **HEAD** /{slug}/-/packages | 查询制品数量。 Head all packages.
*ArtifactoryApi* | [**list_package_tags**](docs/ArtifactoryApi.md#list_package_tags) | **GET** /{slug}/-/packages/{type}/{pkgname}/-/tags | 查询制品标签列表。 List all tags under specific package.
*ArtifactoryApi* | [**list_packages**](docs/ArtifactoryApi.md#list_packages) | **GET** /{slug}/-/packages | 查询制品列表。 List all packages.
*AssetsApi* | [**get_commit_assets**](docs/AssetsApi.md#get_commit_assets) | **GET** /{repo}/-/commit-assets/download/{fileName} | 发起一个获取 commits 附件的请求，返回内容或者 302 到某个地址。Get a request to fetch a commit assets and returns the content directly or a 302 redirect to the assets URL.
*AssetsApi* | [**get_files**](docs/AssetsApi.md#get_files) | **GET** /{repo}/-/files/{userIdKey}/{randomUUID}/{fileName} | 发起一个获取 files 的请求，返回内容或者 302 到某个地址。Initiate a request to retrieve files, returns content or 302 redirect.
*AssetsApi* | [**get_imgs**](docs/AssetsApi.md#get_imgs) | **GET** /{repo}/-/imgs/{userIdKey}/{fileName} | 发起一个获取 imgs 的请求，返回内容或者 302 到某个地址。Initiate a request to get images, returns content or 302 redirect.
*AssetsApi* | [**get_latest_releases_asset**](docs/AssetsApi.md#get_latest_releases_asset) | **GET** /{repo}/-/releases/latest/download/{fileName} | 发起一个获取 latest release 附件的请求，返回内容或者 302 到某个地址。Initiate a request to get latest release attachments, returns content or 302 redirect.
*AssetsApi* | [**get_logos**](docs/AssetsApi.md#get_logos) | **GET** /{group}/-/logos/{size} | 发起一个获取 logo 的请求，返回内容或者 302 到某个地址。Post a request to fetch a logo and returns the content directly or a 302 redirect to the logo URL.
*AssetsApi* | [**get_releases_asset**](docs/AssetsApi.md#get_releases_asset) | **GET** /{repo}/-/releases/download/{fileName} | 发起一个获取 release 附件的请求，返回内容或者 302 到某个地址。Initiate a request to get release attachments, returns content or 302 redirect.
*AssetsApi* | [**get_user_avatar**](docs/AssetsApi.md#get_user_avatar) | **GET** /users/{username}/avatar/{size} | 获取指定用户的用户头像。Get the user&#39;s avatar.
*AssetsApi* | [**put_files**](docs/AssetsApi.md#put_files) | **PUT** /{repo}/-/files/{userIdKey}/{randomUUID}/{fileName} | 发起一个确认 files 的请求，上传的图片要调用此接口才能生效。Initiate a request to confirm files, uploaded images need to call this API to take effect.
*AssetsApi* | [**put_imgs**](docs/AssetsApi.md#put_imgs) | **PUT** /{repo}/-/imgs/{userIdKey}/{fileName} | 发起一个确认 imgs 的请求，上传的图片要调用此接口才能生效。Initiate a request to confirm images, uploaded images need to call this API to take effect.
*AssetsApi* | [**put_logos**](docs/AssetsApi.md#put_logos) | **PUT** /{group}/-/logos | 确认上传的logo。Confirms the uploaded logo.
*AssetsApi* | [**upload_files**](docs/AssetsApi.md#upload_files) | **POST** /{repo}/-/upload/files | 发起一个上传 files 的请求，返回上传 cos 的 url 和 form 内容。Initiate a request to upload files,returns COS upload URL and form data.
*AssetsApi* | [**upload_imgs**](docs/AssetsApi.md#upload_imgs) | **POST** /{repo}/-/upload/imgs | 发起一个上传 imgs 的请求，返回上传 cos 的 url 和 form 内容。发起一个上传 imgs 的请求，返回上传 cos 的 url 和 form 内容.
*AssetsApi* | [**upload_logos**](docs/AssetsApi.md#upload_logos) | **POST** /{group}/-/upload/logos | 发起一个上传 logo 的请求，返回上传 cos 的 url 和 form 内容。Post a request to upload a logo.
*AssetsApi* | [**upload_releases**](docs/AssetsApi.md#upload_releases) | **POST** /{repo}/-/upload/releases/{tagName} | 发起一个上传 release 附件的请求，返回上传 cos 的 url 和 form 内容。Initiate a request to upload release attachments, returns COS upload URL and form data.
*BuildApi* | [**get_build_logs**](docs/BuildApi.md#get_build_logs) | **GET** /{repo}/-/build/logs | 查询流水线构建列表。List pipeline builds.
*BuildApi* | [**get_build_status**](docs/BuildApi.md#get_build_status) | **GET** /{repo}/-/build/status/{sn} | 查询流水线构建状态。Get pipeline build status.
*BuildApi* | [**start_build**](docs/BuildApi.md#start_build) | **POST** /{repo}/-/build/start | 开始一个构建。Start a build.
*BuildApi* | [**stop_build**](docs/BuildApi.md#stop_build) | **POST** /{repo}/-/build/stop/{sn} | 停止一个构建。 Stop a build.
*CollaboratorsApi* | [**add_members_of_group**](docs/CollaboratorsApi.md#add_members_of_group) | **POST** /{group}/-/members/{username} | 添加成员。Add members.
*CollaboratorsApi* | [**add_members_of_mission**](docs/CollaboratorsApi.md#add_members_of_mission) | **POST** /{mission}/-/members/{username} | 添加成员。Add members.
*CollaboratorsApi* | [**add_members_of_registry**](docs/CollaboratorsApi.md#add_members_of_registry) | **POST** /{registry}/-/members/{username} | 添加成员。Add members.
*CollaboratorsApi* | [**add_members_of_repo**](docs/CollaboratorsApi.md#add_members_of_repo) | **POST** /{repo}/-/members/{username} | 添加成员。Add members.
*CollaboratorsApi* | [**delete_members_of_group**](docs/CollaboratorsApi.md#delete_members_of_group) | **DELETE** /{group}/-/members/{username} | 删除指定组织或仓库的直接成员。Remove direct members from specified organization/repository.
*CollaboratorsApi* | [**delete_members_of_repo**](docs/CollaboratorsApi.md#delete_members_of_repo) | **DELETE** /{repo}/-/members/{username} | 删除指定组织或仓库的直接成员。Remove direct members from specified organization/repository.
*CollaboratorsApi* | [**delete_outside_collaborators**](docs/CollaboratorsApi.md#delete_outside_collaborators) | **DELETE** /{repo}/-/outside-collaborators/{username} | 删除指定仓库的外部贡献者。Removes external contributors from specified repository.
*CollaboratorsApi* | [**list_all_members**](docs/CollaboratorsApi.md#list_all_members) | **GET** /{repo}/-/list-members | 获取指定仓库内的有效成员列表，包含继承成员。List active members in specified repository including inherited members.
*CollaboratorsApi* | [**list_inherit_members_of_group**](docs/CollaboratorsApi.md#list_inherit_members_of_group) | **GET** /{group}/-/inherit-members | 获取指定组织或仓库内的继承成员。List inherited members within specified organization or repository。
*CollaboratorsApi* | [**list_inherit_members_of_repo**](docs/CollaboratorsApi.md#list_inherit_members_of_repo) | **GET** /{repo}/-/inherit-members | 获取指定组织或仓库内的继承成员。List inherited members within specified organization or repository。
*CollaboratorsApi* | [**list_members_of_group**](docs/CollaboratorsApi.md#list_members_of_group) | **GET** /{group}/-/members | 获取指定组织或仓库内的所有直接成员。List all direct members within specified organization or repository.
*CollaboratorsApi* | [**list_members_of_repo**](docs/CollaboratorsApi.md#list_members_of_repo) | **GET** /{repo}/-/members | 获取指定组织或仓库内的所有直接成员。List all direct members within specified organization or repository.
*CollaboratorsApi* | [**list_outside_collaborators**](docs/CollaboratorsApi.md#list_outside_collaborators) | **GET** /{repo}/-/outside-collaborators | 获取指定仓库内的外部贡献者。List external contributors in specified repository.
*CollaboratorsApi* | [**top_contributors**](docs/CollaboratorsApi.md#top_contributors) | **GET** /{repo}/-/top-activity-users | 获取 top 贡献用户。List the top contributing users
*CollaboratorsApi* | [**update_members_of_group**](docs/CollaboratorsApi.md#update_members_of_group) | **PUT** /{group}/-/members/{username} | 更新指定组织或仓库内的直接成员权限信息。Update permission information for direct members in specified organization/repository.
*CollaboratorsApi* | [**update_members_of_repo**](docs/CollaboratorsApi.md#update_members_of_repo) | **PUT** /{repo}/-/members/{username} | 更新指定组织或仓库内的直接成员权限信息。Update permission information for direct members in specified organization/repository.
*CollaboratorsApi* | [**update_outside_collaborators**](docs/CollaboratorsApi.md#update_outside_collaborators) | **PUT** /{repo}/-/outside-collaborators/{username} | 更新指定仓库的外部贡献者权限信息。 Update permission information for external contributors in specified repository.
*ContributorsApi* | [**get_member_access_level_of_group**](docs/ContributorsApi.md#get_member_access_level_of_group) | **GET** /{group}/-/members/access-level | 获取指定组织或仓库内, 访问成员在当前层级内的权限信息。Get permission information for accessing members at current level.
*ContributorsApi* | [**get_member_access_level_of_repo**](docs/ContributorsApi.md#get_member_access_level_of_repo) | **GET** /{repo}/-/members/access-level | 获取指定组织或仓库内, 访问成员在当前层级内的权限信息。Get permission information for accessing members at current level.
*ContributorsApi* | [**list_member_access_level_of_group**](docs/ContributorsApi.md#list_member_access_level_of_group) | **GET** /{group}/-/members/{username}/access-level | 获取指定组织或仓库内指定成员的权限信息, 结果按组织层级来展示, 包含上层组织的权限继承信息。Get specified member&#39;s permissions with organizational hierarchy.
*ContributorsApi* | [**list_member_access_level_of_repo**](docs/ContributorsApi.md#list_member_access_level_of_repo) | **GET** /{repo}/-/members/{username}/access-level | 获取指定组织或仓库内指定成员的权限信息, 结果按组织层级来展示, 包含上层组织的权限继承信息。Get specified member&#39;s permissions with organizational hierarchy.
*FollowersApi* | [**get_followers_by_user_id**](docs/FollowersApi.md#get_followers_by_user_id) | **GET** /users/{username}/followers | 获取指定用户的粉丝列表。Get the followers list of specified user.
*FollowersApi* | [**get_following_by_user_id**](docs/FollowersApi.md#get_following_by_user_id) | **GET** /users/{username}/following | 获取指定用户的关注人列表。Get the list of users that the specified user is following.
*GitApi* | [**create_blob**](docs/GitApi.md#create_blob) | **POST** /{repo}/-/git/blobs | 创建一个 blob。Create a blob.
*GitApi* | [**create_branch**](docs/GitApi.md#create_branch) | **POST** /{repo}/-/git/branches | 创建新分支。Create a new branch based on a start point.
*GitApi* | [**create_tag**](docs/GitApi.md#create_tag) | **POST** /{repo}/-/git/tags | 创建一个 tag。Create a tag.
*GitApi* | [**delete_branch**](docs/GitApi.md#delete_branch) | **DELETE** /{repo}/-/git/branches/{branch} | 删除指定分支。Delete the specified branch.
*GitApi* | [**delete_commit_annotation**](docs/GitApi.md#delete_commit_annotation) | **DELETE** /{repo}/-/git/commit-annotations/{sha}/{key} | 删除指定 commit 的元数据。Delete commit annotation.
*GitApi* | [**delete_commit_asset**](docs/GitApi.md#delete_commit_asset) | **DELETE** /{repo}/-/git/commit-assets/{sha1}/{asset_id} | 删除指定 commit 的附件。Delete commit asset.
*GitApi* | [**delete_tag**](docs/GitApi.md#delete_tag) | **DELETE** /{repo}/-/git/tags/{tag} | 删除指定标签。Delete the specified tag.
*GitApi* | [**delete_tag_annotation**](docs/GitApi.md#delete_tag_annotation) | **DELETE** /{repo}/-/git/tag-annotations/{tag_with_key} | 删除指定 tag 的元数据。Delete the metadata of the specified tag.
*GitApi* | [**get_archive_commit_changed_files**](docs/GitApi.md#get_archive_commit_changed_files) | **GET** /{repo}/-/git/archive-commit-changed-files/{sha1} | 打包下载 commit 变更文件。Download archive of changed files for a commit.
*GitApi* | [**get_archive_compare_changed_files**](docs/GitApi.md#get_archive_compare_changed_files) | **GET** /{repo}/-/git/archive-compare-changed-files/{base_head} | 打包下载两次 ref 之间的变更文件。Download archive of changed files for a compare.
*GitApi* | [**get_branch**](docs/GitApi.md#get_branch) | **GET** /{repo}/-/git/branches/{branch} | 查询指定分支。Get a branch.
*GitApi* | [**get_commit**](docs/GitApi.md#get_commit) | **GET** /{repo}/-/git/commits/{ref} | 查询指定 commit。Get a commit.
*GitApi* | [**get_commit_annotations**](docs/GitApi.md#get_commit_annotations) | **GET** /{repo}/-/git/commit-annotations/{sha} | 查询指定 commit 的元数据。Get commit annotations.
*GitApi* | [**get_commit_annotations_in_batch**](docs/GitApi.md#get_commit_annotations_in_batch) | **POST** /{repo}/-/git/commit-annotations-in-batch | 查询指定 commit 的元数据。Get commit annotations in batch.
*GitApi* | [**get_commit_assets_by_sha**](docs/GitApi.md#get_commit_assets_by_sha) | **GET** /{repo}/-/git/commit-assets/{sha1} | 查询指定 commit 的附件。List commit assets.
*GitApi* | [**get_commit_statuses**](docs/GitApi.md#get_commit_statuses) | **GET** /{repo}/-/git/commit-statuses/{commitish} | 查询指定 commit 的 check statuses。List commit check statuses.
*GitApi* | [**get_compare_commits**](docs/GitApi.md#get_compare_commits) | **GET** /{repo}/-/git/compare/{base_head} | 对比 base...head。Compare two commits.
*GitApi* | [**get_content**](docs/GitApi.md#get_content) | **GET** /{repo}/-/git/contents/{file_path} | 查询仓库文件列表或文件。List repository files or file.
*GitApi* | [**get_head**](docs/GitApi.md#get_head) | **GET** /{repo}/-/git/head | 获取仓库默认分支。Get the default branch of the repository.
*GitApi* | [**get_tag**](docs/GitApi.md#get_tag) | **GET** /{repo}/-/git/tags/{tag} | 查询指定 Tag。Get a tag.
*GitApi* | [**get_tag_annotations**](docs/GitApi.md#get_tag_annotations) | **GET** /{repo}/-/git/tag-annotations/{tag} | 查询指定 tag 的元数据。Query the metadata of the specified tag.
*GitApi* | [**list_branches**](docs/GitApi.md#list_branches) | **GET** /{repo}/-/git/branches | 查询分支列表。List branches.
*GitApi* | [**list_commits**](docs/GitApi.md#list_commits) | **GET** /{repo}/-/git/commits | 查询 commit 列表。List commits.
*GitApi* | [**list_tags**](docs/GitApi.md#list_tags) | **GET** /{repo}/-/git/tags | 查询标签列表。List tags.
*GitApi* | [**post_commit_asset_upload_confirmation**](docs/GitApi.md#post_commit_asset_upload_confirmation) | **POST** /{repo}/-/git/commit-assets/{sha1}/asset-upload-confirmation/{token}/{asset_path} | 确认 Commit asset 上传完成。Confirm commit asset upload.
*GitApi* | [**post_commit_asset_upload_url**](docs/GitApi.md#post_commit_asset_upload_url) | **POST** /{repo}/-/git/commit-assets/{sha1}/asset-upload-url | 新增一个 Commit asset。Create a commit asset.
*GitApi* | [**put_commit_annotations**](docs/GitApi.md#put_commit_annotations) | **PUT** /{repo}/-/git/commit-annotations/{sha} | 设定指定 commit 的元数据。Put commit annotations.
*GitApi* | [**put_tag_annotations**](docs/GitApi.md#put_tag_annotations) | **PUT** /{repo}/-/git/tag-annotations/{tag} | 设定指定 tag 的元数据。Set the metadata of the specified tag.
*GitSettingsApi* | [**delete_branch_protection**](docs/GitSettingsApi.md#delete_branch_protection) | **DELETE** /{repo}/-/settings/branch-protections/{id} | 删除仓库保护分支规则。 Delete branch protection rule.
*GitSettingsApi* | [**get_branch_protection**](docs/GitSettingsApi.md#get_branch_protection) | **GET** /{repo}/-/settings/branch-protections/{id} | 查询仓库保护分支规则。Get branch protection rule.
*GitSettingsApi* | [**get_pipeline_settings**](docs/GitSettingsApi.md#get_pipeline_settings) | **GET** /{repo}/-/settings/cloud-native-build | 查询仓库云原生构建设置。List pipeline settings.
*GitSettingsApi* | [**get_pull_request_settings**](docs/GitSettingsApi.md#get_pull_request_settings) | **GET** /{repo}/-/settings/pull-request | 查询仓库合并请求设置。List pull request settings.
*GitSettingsApi* | [**get_push_limit_settings**](docs/GitSettingsApi.md#get_push_limit_settings) | **GET** /{repo}/-/settings/push-limit | 查询仓库推送设置。List push limit settings.
*GitSettingsApi* | [**list_branch_protections**](docs/GitSettingsApi.md#list_branch_protections) | **GET** /{repo}/-/settings/branch-protections | 查询仓库保护分支规则列表。List branch protection rules.
*GitSettingsApi* | [**patch_branch_protection**](docs/GitSettingsApi.md#patch_branch_protection) | **PATCH** /{repo}/-/settings/branch-protections/{id} | 更新仓库保护分支规则。Update branch protection rule.
*GitSettingsApi* | [**post_branch_protection**](docs/GitSettingsApi.md#post_branch_protection) | **POST** /{repo}/-/settings/branch-protections | 新增仓库保护分支规则。Create branch protection rule.
*GitSettingsApi* | [**put_pipeline_settings**](docs/GitSettingsApi.md#put_pipeline_settings) | **PUT** /{repo}/-/settings/cloud-native-build | 更新仓库云原生构建设置。Update pipeline settings.
*GitSettingsApi* | [**put_pull_request_settings**](docs/GitSettingsApi.md#put_pull_request_settings) | **PUT** /{repo}/-/settings/pull-request | 设置仓库推送设置。Set pull request settings.
*GitSettingsApi* | [**put_push_limit_settings**](docs/GitSettingsApi.md#put_push_limit_settings) | **PUT** /{repo}/-/settings/push-limit | 设置仓库推送设置。Set push limit settings.
*IssuesApi* | [**create_issue**](docs/IssuesApi.md#create_issue) | **POST** /{repo}/-/issues | 创建一个 Issue。Create an issue.
*IssuesApi* | [**delete_issue_label**](docs/IssuesApi.md#delete_issue_label) | **DELETE** /{repo}/-/issues/{number}/labels/{name} | 删除 Issue 标签。Remove a label from an issue.
*IssuesApi* | [**delete_issue_labels**](docs/IssuesApi.md#delete_issue_labels) | **DELETE** /{repo}/-/issues/{number}/labels | 清空 Issue 标签。Remove all labels from an issue.
*IssuesApi* | [**get_issue**](docs/IssuesApi.md#get_issue) | **GET** /{repo}/-/issues/{number} | 查询指定的 Issues。Get an issue.
*IssuesApi* | [**get_issue_comment**](docs/IssuesApi.md#get_issue_comment) | **GET** /{repo}/-/issues/{number}/comments/{comment_id} | 获取一个 Issue Comment。Get an issue comment.
*IssuesApi* | [**list_issue_comments**](docs/IssuesApi.md#list_issue_comments) | **GET** /{repo}/-/issues/{number}/comments | 查询仓库的 Issue 评论列表。List repository issue comments.
*IssuesApi* | [**list_issue_labels**](docs/IssuesApi.md#list_issue_labels) | **GET** /{repo}/-/issues/{number}/labels | 查询 Issue 的标签(label) 列表。List labels for an issue.
*IssuesApi* | [**list_issues**](docs/IssuesApi.md#list_issues) | **GET** /{repo}/-/issues | 查询仓库的 Issues。List issues.
*IssuesApi* | [**patch_issue_comment**](docs/IssuesApi.md#patch_issue_comment) | **PATCH** /{repo}/-/issues/{number}/comments/{comment_id} | 修改一个 Issue Comment。Update an issue comment.
*IssuesApi* | [**post_issue_comment**](docs/IssuesApi.md#post_issue_comment) | **POST** /{repo}/-/issues/{number}/comments | 创建一个 Issue Comment。Create an issue comment.
*IssuesApi* | [**post_issue_labels**](docs/IssuesApi.md#post_issue_labels) | **POST** /{repo}/-/issues/{number}/labels | 新增 Issue 标签。Add labels to an issue.
*IssuesApi* | [**put_issue_labels**](docs/IssuesApi.md#put_issue_labels) | **PUT** /{repo}/-/issues/{number}/labels | 设置 Issue 标签。 Set the new labels for an issue.
*IssuesApi* | [**update_issue**](docs/IssuesApi.md#update_issue) | **PATCH** /{repo}/-/issues/{number} | 更新一个 Issue。Update an issue.
*MissionsApi* | [**delete_mission**](docs/MissionsApi.md#delete_mission) | **DELETE** /{mission} | 删除指定任务集。Delete the specified mission.
*OrganizationsApi* | [**create_organization**](docs/OrganizationsApi.md#create_organization) | **POST** /groups | 创建新组织。Create new organization.
*OrganizationsApi* | [**delete_organization**](docs/OrganizationsApi.md#delete_organization) | **DELETE** /{group} | 删除指定组织。Delete the specified organization.
*OrganizationsApi* | [**get_group**](docs/OrganizationsApi.md#get_group) | **GET** /{group} | 获取指定组织信息。Get information for the specified organization.
*OrganizationsApi* | [**get_group_setting**](docs/OrganizationsApi.md#get_group_setting) | **GET** /{group}/-/settings | 获取指定组织的配置详情。Get the configuration details for the specified organization.
*OrganizationsApi* | [**get_groups_by_user_id**](docs/OrganizationsApi.md#get_groups_by_user_id) | **GET** /users/{username}/groups | 获取指定用户拥有权限的顶层组织列表。 Get a list of top-level organizations that the specified user has permissions to access.
*OrganizationsApi* | [**list_groups**](docs/OrganizationsApi.md#list_groups) | **GET** /user/groups/{group} | 查询当前用户在指定组织下拥有指定权限的子组织列表。Get the list of sub-organizations that the current user has access to in the specified organization.
*OrganizationsApi* | [**list_subgroups**](docs/OrganizationsApi.md#list_subgroups) | **GET** /{group}/-/sub-groups | 获取指定组织下的子组织列表。Get the list of sub-organizations under the specified organization.
*OrganizationsApi* | [**list_top_groups**](docs/OrganizationsApi.md#list_top_groups) | **GET** /user/groups | 获取当前用户拥有权限的顶层组织列表。Get top-level organizations list that the current user has access to.
*OrganizationsApi* | [**update_group_avatar**](docs/OrganizationsApi.md#update_group_avatar) | **PUT** /{group}/-/avatar | 更新组织头像 URL 地址。Updates the organization avatar URL.
*OrganizationsApi* | [**update_group_setting**](docs/OrganizationsApi.md#update_group_setting) | **PUT** /{group}/-/settings | 更新指定组织的配置。Updates the configuration for the specified organization.
*OrganizationsApi* | [**update_organization**](docs/OrganizationsApi.md#update_organization) | **PUT** /{group} | 更新组织信息, 可更新的内容为: 组织描述, 组织展示名称, 组织网站, 组织联系邮箱。Updates organization information including: description, display name, website URL and contact email.
*PullsApi* | [**delete_pull_label**](docs/PullsApi.md#delete_pull_label) | **DELETE** /{repo}/-/pulls/{number}/labels/{name} | 删除 Pull 标签。Remove a label from a pull.
*PullsApi* | [**delete_pull_labels**](docs/PullsApi.md#delete_pull_labels) | **DELETE** /{repo}/-/pulls/{number}/labels | 清空 Pull 标签。Remove all labels from a pull.
*PullsApi* | [**get_pull**](docs/PullsApi.md#get_pull) | **GET** /{repo}/-/pulls/{number} | 查询指定 Pull。Get a pull request.
*PullsApi* | [**list_pull_comments**](docs/PullsApi.md#list_pull_comments) | **GET** /{repo}/-/pulls/{number}/comments | 查询 Pull Comments 列表。List pull comments requests.
*PullsApi* | [**list_pull_labels**](docs/PullsApi.md#list_pull_labels) | **GET** /{repo}/-/pulls/{number}/labels | 查询 Pull 的标签(label) 列表。List labels for a pull.
*PullsApi* | [**list_pulls**](docs/PullsApi.md#list_pulls) | **GET** /{repo}/-/pulls | 查询 Pull 列表。List pull requests.
*PullsApi* | [**list_pulls_by_numbers**](docs/PullsApi.md#list_pulls_by_numbers) | **GET** /{repo}/-/pull-in-batch | 根据numbers查询 Pull 列表。List pull requests by numbers.
*PullsApi* | [**merge_pull**](docs/PullsApi.md#merge_pull) | **PUT** /{repo}/-/pulls/{number}/merge | 合并一个 Pull Request。Merge a pull request.
*PullsApi* | [**patch_pull**](docs/PullsApi.md#patch_pull) | **PATCH** /{repo}/-/pulls/{number} | 更新一个 Pull Request。Update a pull request.
*PullsApi* | [**post_pull**](docs/PullsApi.md#post_pull) | **POST** /{repo}/-/pulls | 新增一个 Pull。Create a pull request.
*PullsApi* | [**post_pull_comment**](docs/PullsApi.md#post_pull_comment) | **POST** /{repo}/-/pulls/{number}/comments | 新增一个 Pull Comment。Create a pull comment.
*PullsApi* | [**post_pull_labels**](docs/PullsApi.md#post_pull_labels) | **POST** /{repo}/-/pulls/{number}/labels | 新增 Pull 标签。Add labels to a pull.
*PullsApi* | [**post_pull_review**](docs/PullsApi.md#post_pull_review) | **POST** /{repo}/-/pulls/{number}/reviews | 新增一次 pull request 评审。Create a pull review.
*PullsApi* | [**put_pull_labels**](docs/PullsApi.md#put_pull_labels) | **PUT** /{repo}/-/pulls/{number}/labels | 设置 Pull 标签。Set the new labels for a pull.
*ReleasesApi* | [**delete_release**](docs/ReleasesApi.md#delete_release) | **DELETE** /{repo}/-/releases/{release_id} | 删除指定的 release。Delete a release.
*ReleasesApi* | [**delete_release_asset**](docs/ReleasesApi.md#delete_release_asset) | **DELETE** /{repo}/-/releases/{release_id}/assets/{asset_id} | 删除指定的 release asset。Delete the specified release asset.
*ReleasesApi* | [**get_latest_release**](docs/ReleasesApi.md#get_latest_release) | **GET** /{repo}/-/releases/latest | 查询 latest release。Query the latest release.
*ReleasesApi* | [**get_release_asset**](docs/ReleasesApi.md#get_release_asset) | **GET** /{repo}/-/releases/{release_id}/assets/{asset_id} | 查询指定的 release asset。Get the specified release asset.
*ReleasesApi* | [**get_release_by_id**](docs/ReleasesApi.md#get_release_by_id) | **GET** /{repo}/-/releases/{release_id} | 根据 id 查询指定 release。Get a release by id.
*ReleasesApi* | [**get_release_by_tag**](docs/ReleasesApi.md#get_release_by_tag) | **GET** /{repo}/-/releases/tags/{tag} | 通过 tag 查询指定 release。Get a release by tag.
*ReleasesApi* | [**list_releases**](docs/ReleasesApi.md#list_releases) | **GET** /{repo}/-/releases | 查询 release 列表。List releases.
*ReleasesApi* | [**patch_release**](docs/ReleasesApi.md#patch_release) | **PATCH** /{repo}/-/releases/{release_id} | 更新 release。Update a release.
*ReleasesApi* | [**post_release**](docs/ReleasesApi.md#post_release) | **POST** /{repo}/-/releases | 新增一个 Release。Create a release.
*ReleasesApi* | [**post_release_asset_upload_confirmation**](docs/ReleasesApi.md#post_release_asset_upload_confirmation) | **POST** /{repo}/-/releases/{release_id}/asset-upload-confirmation/{token}/{asset_path} | 确认 Release asset 上传完成。Confirm release asset upload.
*ReleasesApi* | [**post_release_asset_upload_url**](docs/ReleasesApi.md#post_release_asset_upload_url) | **POST** /{repo}/-/releases/{release_id}/asset-upload-url | 新增一个 Release asset。Create a release asset.
*RepoContributorApi* | [**get_repo_contributor_trend**](docs/RepoContributorApi.md#get_repo_contributor_trend) | **GET** /{repo}/-/contributor/trend | 查询仓库贡献者前 100 名的详细趋势数据。Query detailed trend data for top 100 contributors of the repository.
*RepoLabelsApi* | [**delete_label**](docs/RepoLabelsApi.md#delete_label) | **DELETE** /{repo}/-/labels/{name} | 删除指定的仓库标签 label。Delete the specified repository label.
*RepoLabelsApi* | [**list_labels**](docs/RepoLabelsApi.md#list_labels) | **GET** /{repo}/-/labels | 查询仓库的标签(label) 列表。List repository labels.
*RepoLabelsApi* | [**patch_label**](docs/RepoLabelsApi.md#patch_label) | **PATCH** /{repo}/-/labels/{name} | 更新标签信息。Update label information.
*RepoLabelsApi* | [**post_label**](docs/RepoLabelsApi.md#post_label) | **POST** /{repo}/-/labels | 创建一个 标签。Create a label.
*RepositoriesApi* | [**create_a_fork**](docs/RepositoriesApi.md#create_a_fork) | **POST** /{repo}/-/forks | fork 仓库。Fork a repository.
*RepositoriesApi* | [**create_repo**](docs/RepositoriesApi.md#create_repo) | **POST** /{group}/-/repos | 创建仓库。Create repositories.
*RepositoriesApi* | [**delete_repo**](docs/RepositoriesApi.md#delete_repo) | **DELETE** /{repo} | 删除指定仓库。Delete the specified repository.
*RepositoriesApi* | [**get_group_sub_repos**](docs/RepositoriesApi.md#get_group_sub_repos) | **GET** /{group}/-/repos | 查询组织下访问用户有权限查看到仓库。List the repositories that the user has access to.
*RepositoriesApi* | [**get_pinned_repo_by_group**](docs/RepositoriesApi.md#get_pinned_repo_by_group) | **GET** /{group}/-/pinned-repos | 获取指定组织的仓库墙列表。List the pinned repositories of a group.
*RepositoriesApi* | [**get_pinned_repo_by_id**](docs/RepositoriesApi.md#get_pinned_repo_by_id) | **GET** /users/{username}/pinned-repos | 获取指定用户的用户仓库墙。 Get a list of repositories that the specified user has pinned.
*RepositoriesApi* | [**get_repo**](docs/RepositoriesApi.md#get_repo) | **GET** /{repo} | 获取指定仓库信息。Get information for the specified repository.
*RepositoriesApi* | [**get_repos**](docs/RepositoriesApi.md#get_repos) | **GET** /user/repos | 获取当前用户拥有指定权限及其以上权限的仓库。List repositories owned by the current user with the specified permissions or higher.
*RepositoriesApi* | [**get_repos_by_user_name**](docs/RepositoriesApi.md#get_repos_by_user_name) | **GET** /users/{username}/repos | 获取指定用户有指定以上权限并且客人态可见的仓库。List repositories where the specified user has the specified permission level or higher and are visible to guests.
*RepositoriesApi* | [**get_user_all_stared_repos**](docs/RepositoriesApi.md#get_user_all_stared_repos) | **GET** /user/stared-repos | 获取当前用户 star 的仓库列表。List all stared repositories.
*RepositoriesApi* | [**list_forks_repos**](docs/RepositoriesApi.md#list_forks_repos) | **GET** /{repo}/-/forks | 获取指定仓库的 fork 列表。Get fork list for specified repository.
*RepositoriesApi* | [**set_pinned_repo_by_group**](docs/RepositoriesApi.md#set_pinned_repo_by_group) | **PUT** /{group}/-/pinned-repos | 更新指定组织仓库墙。Update the pinned repositories of a group.
*RepositoriesApi* | [**update_repo**](docs/RepositoriesApi.md#update_repo) | **PATCH** /{repo} | 更新仓库信息, 可更新的内容为: 仓库简介, 仓库站点, 仓库主题, 开源许可证。updates repository details including description, website URL,topics and license type.
*StarringApi* | [**get_user_stared_repos**](docs/StarringApi.md#get_user_stared_repos) | **GET** /users/{username}/stared-repos | 获取指定用户的 star 仓库列表。Get the list of repositories starred by the specified user.
*StarringApi* | [**list_star_users**](docs/StarringApi.md#list_star_users) | **GET** /{repo}/-/stars | 获取指定仓库的star用户列表。Get the list of users who starred the specified repository.
*UsersApi* | [**auto_complete_source**](docs/UsersApi.md#auto_complete_source) | **GET** /user/autocomplete_source | 查询当前用户用户拥有指定权限的所有资源列表。List resources that the current user has specified permissions for.
*UsersApi* | [**get_user_info**](docs/UsersApi.md#get_user_info) | **GET** /user | 获取指定用户的详情信息。Get detailed information for a specified user.
*UsersApi* | [**get_user_info_by_name**](docs/UsersApi.md#get_user_info_by_name) | **GET** /users/{username} | 获取指定用户的详情信息。Get detailed information for a specified user.
*UsersApi* | [**update_user_info**](docs/UsersApi.md#update_user_info) | **POST** /user | 更新指定用户的详情信息。Updates the specified user&#39;s profile information.
*WorkspaceApi* | [**delete_workspace**](docs/WorkspaceApi.md#delete_workspace) | **POST** /workspace/delete | 删除我的云原生开发环境。Delete my workspace.
*WorkspaceApi* | [**get_workspace_detail**](docs/WorkspaceApi.md#get_workspace_detail) | **GET** /{repo}/-/workspace/detail/{sn} | 根据流水线sn查询云原生开发访问地址。Query cloud-native development access address by pipeline SN.
*WorkspaceApi* | [**list_workspaces**](docs/WorkspaceApi.md#list_workspaces) | **GET** /workspace/list | 获取我的云原生开发环境列表。List my workspaces.


## Documentation For Models

 - [ApiBlob](docs/ApiBlob.md)
 - [ApiBranch](docs/ApiBranch.md)
 - [ApiBranchCommit](docs/ApiBranchCommit.md)
 - [ApiBranchDetail](docs/ApiBranchDetail.md)
 - [ApiBranchProtection](docs/ApiBranchProtection.md)
 - [ApiCommit](docs/ApiCommit.md)
 - [ApiCommitAsset](docs/ApiCommitAsset.md)
 - [ApiCommitDiffFilePatch](docs/ApiCommitDiffFilePatch.md)
 - [ApiCommitObject](docs/ApiCommitObject.md)
 - [ApiCommitObjectTree](docs/ApiCommitObjectTree.md)
 - [ApiCommitObjectVerification](docs/ApiCommitObjectVerification.md)
 - [ApiCommitParent](docs/ApiCommitParent.md)
 - [ApiCommitStatus](docs/ApiCommitStatus.md)
 - [ApiCompareResponse](docs/ApiCompareResponse.md)
 - [ApiContent](docs/ApiContent.md)
 - [ApiIssue](docs/ApiIssue.md)
 - [ApiIssueComment](docs/ApiIssueComment.md)
 - [ApiIssueDetail](docs/ApiIssueDetail.md)
 - [ApiLabel](docs/ApiLabel.md)
 - [ApiMergePullRequest](docs/ApiMergePullRequest.md)
 - [ApiMergePullResponse](docs/ApiMergePullResponse.md)
 - [ApiPatchIssueCommentForm](docs/ApiPatchIssueCommentForm.md)
 - [ApiPatchIssueForm](docs/ApiPatchIssueForm.md)
 - [ApiPatchLabelForm](docs/ApiPatchLabelForm.md)
 - [ApiPatchPullRequest](docs/ApiPatchPullRequest.md)
 - [ApiPipelineSettings](docs/ApiPipelineSettings.md)
 - [ApiPostBlobForm](docs/ApiPostBlobForm.md)
 - [ApiPostIssueCommentForm](docs/ApiPostIssueCommentForm.md)
 - [ApiPostIssueForm](docs/ApiPostIssueForm.md)
 - [ApiPostIssueLabelsForm](docs/ApiPostIssueLabelsForm.md)
 - [ApiPostLabelForm](docs/ApiPostLabelForm.md)
 - [ApiPostPullLabelsForm](docs/ApiPostPullLabelsForm.md)
 - [ApiPostTagFrom](docs/ApiPostTagFrom.md)
 - [ApiPull](docs/ApiPull.md)
 - [ApiPullCommentCreationForm](docs/ApiPullCommentCreationForm.md)
 - [ApiPullCreationForm](docs/ApiPullCreationForm.md)
 - [ApiPullRef](docs/ApiPullRef.md)
 - [ApiPullRefInfo](docs/ApiPullRefInfo.md)
 - [ApiPullRequest](docs/ApiPullRequest.md)
 - [ApiPullRequestComment](docs/ApiPullRequestComment.md)
 - [ApiPullRequestInfo](docs/ApiPullRequestInfo.md)
 - [ApiPullRequestSettings](docs/ApiPullRequestSettings.md)
 - [ApiPullReviewCommentCreationForm](docs/ApiPullReviewCommentCreationForm.md)
 - [ApiPullReviewCreationForm](docs/ApiPullReviewCreationForm.md)
 - [ApiPushLimitSettings](docs/ApiPushLimitSettings.md)
 - [ApiPutIssueLabelsForm](docs/ApiPutIssueLabelsForm.md)
 - [ApiPutPullLabelsForm](docs/ApiPutPullLabelsForm.md)
 - [ApiRelease](docs/ApiRelease.md)
 - [ApiReleaseAsset](docs/ApiReleaseAsset.md)
 - [ApiRepo](docs/ApiRepo.md)
 - [ApiRepoInfo](docs/ApiRepoInfo.md)
 - [ApiSignature](docs/ApiSignature.md)
 - [ApiTag](docs/ApiTag.md)
 - [ApiTreeEntry](docs/ApiTreeEntry.md)
 - [ChartDependency](docs/ChartDependency.md)
 - [ChartMaintainer](docs/ChartMaintainer.md)
 - [ChartMetadata](docs/ChartMetadata.md)
 - [ConstantAccessRole](docs/ConstantAccessRole.md)
 - [ConstantActivityType](docs/ConstantActivityType.md)
 - [ConstantBudgetSts](docs/ConstantBudgetSts.md)
 - [ConstantChargeResType](docs/ConstantChargeResType.md)
 - [ConstantRepoDisplayModule](docs/ConstantRepoDisplayModule.md)
 - [ConstantRepoStatus](docs/ConstantRepoStatus.md)
 - [ConstantSearchResourceType](docs/ConstantSearchResourceType.md)
 - [ConstantSlugType](docs/ConstantSlugType.md)
 - [ConstantUserEditable](docs/ConstantUserEditable.md)
 - [ConstantUserType](docs/ConstantUserType.md)
 - [ConstantVisibility](docs/ConstantVisibility.md)
 - [ConvertNullTime](docs/ConvertNullTime.md)
 - [DieWebErr](docs/DieWebErr.md)
 - [DieWebError](docs/DieWebError.md)
 - [DtoAccessTokenItem](docs/DtoAccessTokenItem.md)
 - [DtoAccessTokenPayload](docs/DtoAccessTokenPayload.md)
 - [DtoActivityCalendarDate](docs/DtoActivityCalendarDate.md)
 - [DtoActivityCreateRepoDetail](docs/DtoActivityCreateRepoDetail.md)
 - [DtoActivityDate](docs/DtoActivityDate.md)
 - [DtoActivityJoinGroupDetail](docs/DtoActivityJoinGroupDetail.md)
 - [DtoActivityMineData](docs/DtoActivityMineData.md)
 - [DtoActivityRelease](docs/DtoActivityRelease.md)
 - [DtoActivityRepoDetail](docs/DtoActivityRepoDetail.md)
 - [DtoActivityRepos](docs/DtoActivityRepos.md)
 - [DtoActivitySlugDetail](docs/DtoActivitySlugDetail.md)
 - [DtoActivityTotal](docs/DtoActivityTotal.md)
 - [DtoActivityUsers](docs/DtoActivityUsers.md)
 - [DtoActivityWorkflowData](docs/DtoActivityWorkflowData.md)
 - [DtoAnnouncement](docs/DtoAnnouncement.md)
 - [DtoArtifactStatus](docs/DtoArtifactStatus.md)
 - [DtoAssetRecords](docs/DtoAssetRecords.md)
 - [DtoAssetSize](docs/DtoAssetSize.md)
 - [DtoAssets](docs/DtoAssets.md)
 - [DtoBindResources](docs/DtoBindResources.md)
 - [DtoBindUsers](docs/DtoBindUsers.md)
 - [DtoBoolResponse](docs/DtoBoolResponse.md)
 - [DtoBoolResponseWithDataMapConstantSlugTypeInt64](docs/DtoBoolResponseWithDataMapConstantSlugTypeInt64.md)
 - [DtoBudget](docs/DtoBudget.md)
 - [DtoBudgetPrice](docs/DtoBudgetPrice.md)
 - [DtoBuildLogsResult](docs/DtoBuildLogsResult.md)
 - [DtoBuildResult](docs/DtoBuildResult.md)
 - [DtoBuildStatusResult](docs/DtoBuildStatusResult.md)
 - [DtoCNBRegistry](docs/DtoCNBRegistry.md)
 - [DtoChartPackageDetail](docs/DtoChartPackageDetail.md)
 - [DtoChartTag](docs/DtoChartTag.md)
 - [DtoChartTagDetail](docs/DtoChartTagDetail.md)
 - [DtoCheckFollowingResponse](docs/DtoCheckFollowingResponse.md)
 - [DtoCheckStarResponse](docs/DtoCheckStarResponse.md)
 - [DtoCleanPolicy](docs/DtoCleanPolicy.md)
 - [DtoCleanPolicyStatus](docs/DtoCleanPolicyStatus.md)
 - [DtoContainerAnnotation](docs/DtoContainerAnnotation.md)
 - [DtoContainerImage](docs/DtoContainerImage.md)
 - [DtoContainerImageLayer](docs/DtoContainerImageLayer.md)
 - [DtoContainerPackageDetail](docs/DtoContainerPackageDetail.md)
 - [DtoContainerTag](docs/DtoContainerTag.md)
 - [DtoContainerTagDetail](docs/DtoContainerTagDetail.md)
 - [DtoCopyReq](docs/DtoCopyReq.md)
 - [DtoCountResponse](docs/DtoCountResponse.md)
 - [DtoCreateGroupReq](docs/DtoCreateGroupReq.md)
 - [DtoCreateInvitationRequest](docs/DtoCreateInvitationRequest.md)
 - [DtoCreateInvitationResponse](docs/DtoCreateInvitationResponse.md)
 - [DtoCreateMissionReq](docs/DtoCreateMissionReq.md)
 - [DtoCreateRegistryReq](docs/DtoCreateRegistryReq.md)
 - [DtoCreateRepoReq](docs/DtoCreateRepoReq.md)
 - [DtoCreator](docs/DtoCreator.md)
 - [DtoDependency](docs/DtoDependency.md)
 - [DtoFile](docs/DtoFile.md)
 - [DtoForkReq](docs/DtoForkReq.md)
 - [DtoForks](docs/DtoForks.md)
 - [DtoGetActivityMineDetailRsp](docs/DtoGetActivityMineDetailRsp.md)
 - [DtoGetActivityWorkflowDetailRsp](docs/DtoGetActivityWorkflowDetailRsp.md)
 - [DtoGetMineCreateDetailRsp](docs/DtoGetMineCreateDetailRsp.md)
 - [DtoGetTodoDetailRsp](docs/DtoGetTodoDetailRsp.md)
 - [DtoGroupSettingReq](docs/DtoGroupSettingReq.md)
 - [DtoHandoverMemberRequest](docs/DtoHandoverMemberRequest.md)
 - [DtoHarborGCSchedule](docs/DtoHarborGCSchedule.md)
 - [DtoHarborRepository](docs/DtoHarborRepository.md)
 - [DtoInheritMembersUser](docs/DtoInheritMembersUser.md)
 - [DtoInteractionType](docs/DtoInteractionType.md)
 - [DtoInvitationWithEmail](docs/DtoInvitationWithEmail.md)
 - [DtoIssueData](docs/DtoIssueData.md)
 - [DtoLabel](docs/DtoLabel.md)
 - [DtoLastPusher](docs/DtoLastPusher.md)
 - [DtoListInheritMembers](docs/DtoListInheritMembers.md)
 - [DtoLogInfo](docs/DtoLogInfo.md)
 - [DtoManifest](docs/DtoManifest.md)
 - [DtoManifestMetadata](docs/DtoManifestMetadata.md)
 - [DtoMavenPackageDetail](docs/DtoMavenPackageDetail.md)
 - [DtoMavenTag](docs/DtoMavenTag.md)
 - [DtoMavenTagDetail](docs/DtoMavenTagDetail.md)
 - [DtoMember4GetAllMembersByRoot](docs/DtoMember4GetAllMembersByRoot.md)
 - [DtoMemberAccessLevel](docs/DtoMemberAccessLevel.md)
 - [DtoMemberAccessLevelInSlugUnion](docs/DtoMemberAccessLevelInSlugUnion.md)
 - [DtoMineCreateTotal](docs/DtoMineCreateTotal.md)
 - [DtoMissionPatch](docs/DtoMissionPatch.md)
 - [DtoMissionWithPath](docs/DtoMissionWithPath.md)
 - [DtoMissionWithRepos](docs/DtoMissionWithRepos.md)
 - [DtoMissions4User](docs/DtoMissions4User.md)
 - [DtoNpmPackageDetail](docs/DtoNpmPackageDetail.md)
 - [DtoNpmTag](docs/DtoNpmTag.md)
 - [DtoNpmTagDetail](docs/DtoNpmTagDetail.md)
 - [DtoOhpmPackageDetail](docs/DtoOhpmPackageDetail.md)
 - [DtoOhpmTag](docs/DtoOhpmTag.md)
 - [DtoOhpmTagDetail](docs/DtoOhpmTagDetail.md)
 - [DtoOrganizationAccess](docs/DtoOrganizationAccess.md)
 - [DtoOrganizationSettingWithParent](docs/DtoOrganizationSettingWithParent.md)
 - [DtoOrganizationUnion](docs/DtoOrganizationUnion.md)
 - [DtoOutsideCollaboratorInRepo](docs/DtoOutsideCollaboratorInRepo.md)
 - [DtoOverwritePolicy](docs/DtoOverwritePolicy.md)
 - [DtoPack](docs/DtoPack.md)
 - [DtoPackType](docs/DtoPackType.md)
 - [DtoPackage](docs/DtoPackage.md)
 - [DtoPackageDetail](docs/DtoPackageDetail.md)
 - [DtoPackageType](docs/DtoPackageType.md)
 - [DtoPipelineStatus](docs/DtoPipelineStatus.md)
 - [DtoPullRequestData](docs/DtoPullRequestData.md)
 - [DtoQuota](docs/DtoQuota.md)
 - [DtoQuotaRsp](docs/DtoQuotaRsp.md)
 - [DtoRankDetail](docs/DtoRankDetail.md)
 - [DtoRankDetailTagsInner](docs/DtoRankDetailTagsInner.md)
 - [DtoRegistry4User](docs/DtoRegistry4User.md)
 - [DtoRegistryCleanDetail](docs/DtoRegistryCleanDetail.md)
 - [DtoRegistryPatch](docs/DtoRegistryPatch.md)
 - [DtoRegistryPolicy](docs/DtoRegistryPolicy.md)
 - [DtoRepoCoreHour](docs/DtoRepoCoreHour.md)
 - [DtoRepoLanguage](docs/DtoRepoLanguage.md)
 - [DtoRepoPatch](docs/DtoRepoPatch.md)
 - [DtoRepoRank](docs/DtoRepoRank.md)
 - [DtoRepoStarUsers](docs/DtoRepoStarUsers.md)
 - [DtoRepoVolume](docs/DtoRepoVolume.md)
 - [DtoRepos4User](docs/DtoRepos4User.md)
 - [DtoRepos4UserBase](docs/DtoRepos4UserBase.md)
 - [DtoResourceBindInfo](docs/DtoResourceBindInfo.md)
 - [DtoResourceGroup](docs/DtoResourceGroup.md)
 - [DtoResourceMission](docs/DtoResourceMission.md)
 - [DtoResourceRegistry](docs/DtoResourceRegistry.md)
 - [DtoResourceRepo](docs/DtoResourceRepo.md)
 - [DtoResources](docs/DtoResources.md)
 - [DtoSearchResponseAny](docs/DtoSearchResponseAny.md)
 - [DtoSlugMemberCount](docs/DtoSlugMemberCount.md)
 - [DtoSlugs](docs/DtoSlugs.md)
 - [DtoSpecialAmount](docs/DtoSpecialAmount.md)
 - [DtoStage](docs/DtoStage.md)
 - [DtoStarUser](docs/DtoStarUser.md)
 - [DtoStartBuildReq](docs/DtoStartBuildReq.md)
 - [DtoStatus](docs/DtoStatus.md)
 - [DtoStorage](docs/DtoStorage.md)
 - [DtoSyncUserData](docs/DtoSyncUserData.md)
 - [DtoSystemAcceleration](docs/DtoSystemAcceleration.md)
 - [DtoTag](docs/DtoTag.md)
 - [DtoTagDetail](docs/DtoTagDetail.md)
 - [DtoThreshold](docs/DtoThreshold.md)
 - [DtoTimeVolume](docs/DtoTimeVolume.md)
 - [DtoTodoTotal](docs/DtoTodoTotal.md)
 - [DtoTransferSlugReq](docs/DtoTransferSlugReq.md)
 - [DtoUpdateGroupAvatarReq](docs/DtoUpdateGroupAvatarReq.md)
 - [DtoUpdateGroupReq](docs/DtoUpdateGroupReq.md)
 - [DtoUpdateMembersRequest](docs/DtoUpdateMembersRequest.md)
 - [DtoUploadAssetsResponse](docs/DtoUploadAssetsResponse.md)
 - [DtoUploadRequestParams](docs/DtoUploadRequestParams.md)
 - [DtoUserBindInfo](docs/DtoUserBindInfo.md)
 - [DtoUserEmailPayload](docs/DtoUserEmailPayload.md)
 - [DtoUserEmailType](docs/DtoUserEmailType.md)
 - [DtoUserEmailWithCodePayload](docs/DtoUserEmailWithCodePayload.md)
 - [DtoUserEmailWithTypePayload](docs/DtoUserEmailWithTypePayload.md)
 - [DtoUserEmails](docs/DtoUserEmails.md)
 - [DtoUserFollowResult](docs/DtoUserFollowResult.md)
 - [DtoUsers](docs/DtoUsers.md)
 - [DtoUsersIdentity](docs/DtoUsersIdentity.md)
 - [DtoUsersLangPayload](docs/DtoUsersLangPayload.md)
 - [DtoUsersResult](docs/DtoUsersResult.md)
 - [DtoUsersResultForSelf](docs/DtoUsersResultForSelf.md)
 - [DtoUsersWithAccessLevelInSlug](docs/DtoUsersWithAccessLevelInSlug.md)
 - [DtoVersionPolicy](docs/DtoVersionPolicy.md)
 - [DtoWorkspaceDeleteReq](docs/DtoWorkspaceDeleteReq.md)
 - [DtoWorkspaceDeleteResult](docs/DtoWorkspaceDeleteResult.md)
 - [DtoWorkspaceDetailResult](docs/DtoWorkspaceDetailResult.md)
 - [DtoWorkspaceInfo](docs/DtoWorkspaceInfo.md)
 - [DtoWorkspaceListResult](docs/DtoWorkspaceListResult.md)
 - [DtoWorkspacePageInfo](docs/DtoWorkspacePageInfo.md)
 - [DtoWxJsSdkSign](docs/DtoWxJsSdkSign.md)
 - [GitWoaComCnbMonorepoGitInternalAppGitServiceBffApiUserInfo](docs/GitWoaComCnbMonorepoGitInternalAppGitServiceBffApiUserInfo.md)
 - [GitWoaComCnbMonorepoGitInternalAppGitServiceBffWebUserInfo](docs/GitWoaComCnbMonorepoGitInternalAppGitServiceBffWebUserInfo.md)
 - [GitWoaComCnbMonorepoGitInternalAppVcsServiceBffApiUserInfo](docs/GitWoaComCnbMonorepoGitInternalAppVcsServiceBffApiUserInfo.md)
 - [GitWoaComCnbMonorepoGitInternalDtoWebUserInfo](docs/GitWoaComCnbMonorepoGitInternalDtoWebUserInfo.md)
 - [GitWoaComCnbMonorepoMissionMissionResourceDtoWebUserInfo](docs/GitWoaComCnbMonorepoMissionMissionResourceDtoWebUserInfo.md)
 - [HandlerCreateIssueCommentForm](docs/HandlerCreateIssueCommentForm.md)
 - [HandlerCreateIssueForm](docs/HandlerCreateIssueForm.md)
 - [HandlerCreateLabelForm](docs/HandlerCreateLabelForm.md)
 - [HandlerGitIgnoreTemplate](docs/HandlerGitIgnoreTemplate.md)
 - [HandlerIssueNumber](docs/HandlerIssueNumber.md)
 - [HandlerLabelID](docs/HandlerLabelID.md)
 - [HandlerLicense](docs/HandlerLicense.md)
 - [HandlerLicenseListItem](docs/HandlerLicenseListItem.md)
 - [HandlerLogoutRes](docs/HandlerLogoutRes.md)
 - [HandlerMissionFilter](docs/HandlerMissionFilter.md)
 - [HandlerMissionFilterFrom](docs/HandlerMissionFilterFrom.md)
 - [HandlerUpdateIssueForm](docs/HandlerUpdateIssueForm.md)
 - [HandlerUpdateItemField](docs/HandlerUpdateItemField.md)
 - [HandlerUpdateItemFieldInBatchForm](docs/HandlerUpdateItemFieldInBatchForm.md)
 - [HandlerUpdateLabelForm](docs/HandlerUpdateLabelForm.md)
 - [HttpUpdateUserInfoPayload](docs/HttpUpdateUserInfoPayload.md)
 - [IdentityMpPhoneReq](docs/IdentityMpPhoneReq.md)
 - [IdentityState](docs/IdentityState.md)
 - [IdentityTicket](docs/IdentityTicket.md)
 - [LabelOption](docs/LabelOption.md)
 - [OpenapiCommitAssetUploadURL](docs/OpenapiCommitAssetUploadURL.md)
 - [OpenapiCreateBranchForm](docs/OpenapiCreateBranchForm.md)
 - [OpenapiHeadRef](docs/OpenapiHeadRef.md)
 - [OpenapiPatchReleaseForm](docs/OpenapiPatchReleaseForm.md)
 - [OpenapiPostCommitAssetUploadURLForm](docs/OpenapiPostCommitAssetUploadURLForm.md)
 - [OpenapiPostReleaseAssetUploadURLForm](docs/OpenapiPostReleaseAssetUploadURLForm.md)
 - [OpenapiPostReleaseForm](docs/OpenapiPostReleaseForm.md)
 - [OpenapiPutCommitAnnotation](docs/OpenapiPutCommitAnnotation.md)
 - [OpenapiPutCommitAnnotationsForm](docs/OpenapiPutCommitAnnotationsForm.md)
 - [OpenapiPutTagAnnotation](docs/OpenapiPutTagAnnotation.md)
 - [OpenapiPutTagAnnotationsForm](docs/OpenapiPutTagAnnotationsForm.md)
 - [OpenapiReleaseAssetUploadURL](docs/OpenapiReleaseAssetUploadURL.md)
 - [OrganizationSettingValue](docs/OrganizationSettingValue.md)
 - [OrganizationsDomainsVerificationResponse](docs/OrganizationsDomainsVerificationResponse.md)
 - [ScopeAccessTokenConfig](docs/ScopeAccessTokenConfig.md)
 - [ScopeGroupItem](docs/ScopeGroupItem.md)
 - [ScopeRawItem](docs/ScopeRawItem.md)
 - [ScopeScene](docs/ScopeScene.md)
 - [V1Descriptor](docs/V1Descriptor.md)
 - [V1Platform](docs/V1Platform.md)
 - [WebAddGPGKeyForm](docs/WebAddGPGKeyForm.md)
 - [WebAuthor](docs/WebAuthor.md)
 - [WebBlameRange](docs/WebBlameRange.md)
 - [WebBlames](docs/WebBlames.md)
 - [WebBranch](docs/WebBranch.md)
 - [WebBranchListItem](docs/WebBranchListItem.md)
 - [WebBranchProtection](docs/WebBranchProtection.md)
 - [WebBranchPullRequest](docs/WebBranchPullRequest.md)
 - [WebCSDetail](docs/WebCSDetail.md)
 - [WebCodeSensitiveDetail](docs/WebCodeSensitiveDetail.md)
 - [WebCodeSensitiveInfo](docs/WebCodeSensitiveInfo.md)
 - [WebCodeSensitiveSummary](docs/WebCodeSensitiveSummary.md)
 - [WebCommit](docs/WebCommit.md)
 - [WebCommitAnnotation](docs/WebCommitAnnotation.md)
 - [WebCommitAnnotationInBatch](docs/WebCommitAnnotationInBatch.md)
 - [WebCommitAsset](docs/WebCommitAsset.md)
 - [WebCommitFiles](docs/WebCommitFiles.md)
 - [WebCommitObject](docs/WebCommitObject.md)
 - [WebCommitObjectTree](docs/WebCommitObjectTree.md)
 - [WebCommitObjectVerification](docs/WebCommitObjectVerification.md)
 - [WebCommitParent](docs/WebCommitParent.md)
 - [WebCommitStatus](docs/WebCommitStatus.md)
 - [WebCommitStatuses](docs/WebCommitStatuses.md)
 - [WebComparedCommits](docs/WebComparedCommits.md)
 - [WebComparedFiles](docs/WebComparedFiles.md)
 - [WebComparedOverview](docs/WebComparedOverview.md)
 - [WebComparedRawDiff](docs/WebComparedRawDiff.md)
 - [WebContributorTrend](docs/WebContributorTrend.md)
 - [WebCustomerField](docs/WebCustomerField.md)
 - [WebDiff](docs/WebDiff.md)
 - [WebDiffEntry](docs/WebDiffEntry.md)
 - [WebDiffFile](docs/WebDiffFile.md)
 - [WebDiffLine](docs/WebDiffLine.md)
 - [WebDiffSection](docs/WebDiffSection.md)
 - [WebDiffStat](docs/WebDiffStat.md)
 - [WebEntry](docs/WebEntry.md)
 - [WebExpandBlob](docs/WebExpandBlob.md)
 - [WebFieldInfo](docs/WebFieldInfo.md)
 - [WebFieldInfoPriority](docs/WebFieldInfoPriority.md)
 - [WebFieldInfoPriorityColorOption](docs/WebFieldInfoPriorityColorOption.md)
 - [WebFieldInfoStatus](docs/WebFieldInfoStatus.md)
 - [WebFieldInfos](docs/WebFieldInfos.md)
 - [WebFileContent](docs/WebFileContent.md)
 - [WebFileStat](docs/WebFileStat.md)
 - [WebForkSyncStatus](docs/WebForkSyncStatus.md)
 - [WebGPGEmail](docs/WebGPGEmail.md)
 - [WebGPGPublicKey](docs/WebGPGPublicKey.md)
 - [WebGPGSubkey](docs/WebGPGSubkey.md)
 - [WebGetCommitAnnotationsInBatchForm](docs/WebGetCommitAnnotationsInBatchForm.md)
 - [WebGitHead](docs/WebGitHead.md)
 - [WebGitUsage](docs/WebGitUsage.md)
 - [WebIssue](docs/WebIssue.md)
 - [WebIssueActivity](docs/WebIssueActivity.md)
 - [WebIssueAssignee](docs/WebIssueAssignee.md)
 - [WebIssueComment](docs/WebIssueComment.md)
 - [WebIssueDetail](docs/WebIssueDetail.md)
 - [WebIssueResource](docs/WebIssueResource.md)
 - [WebIssueSummary](docs/WebIssueSummary.md)
 - [WebIssueTemplate](docs/WebIssueTemplate.md)
 - [WebIssueTemplates](docs/WebIssueTemplates.md)
 - [WebIssueType](docs/WebIssueType.md)
 - [WebLFSFile](docs/WebLFSFile.md)
 - [WebLabelOption](docs/WebLabelOption.md)
 - [WebLabelWithCount](docs/WebLabelWithCount.md)
 - [WebLastPushBranch](docs/WebLastPushBranch.md)
 - [WebMIMEType](docs/WebMIMEType.md)
 - [WebMergeState](docs/WebMergeState.md)
 - [WebMeta](docs/WebMeta.md)
 - [WebMissionField](docs/WebMissionField.md)
 - [WebMissionResources](docs/WebMissionResources.md)
 - [WebOverviewBranches](docs/WebOverviewBranches.md)
 - [WebPermission](docs/WebPermission.md)
 - [WebPipelineSettings](docs/WebPipelineSettings.md)
 - [WebPostCommitAssetForm](docs/WebPostCommitAssetForm.md)
 - [WebPreloadFile](docs/WebPreloadFile.md)
 - [WebPullRawDiff](docs/WebPullRawDiff.md)
 - [WebPullRequest](docs/WebPullRequest.md)
 - [WebPullRequestActivity](docs/WebPullRequestActivity.md)
 - [WebPullRequestAssignee](docs/WebPullRequestAssignee.md)
 - [WebPullRequestBranchProtection](docs/WebPullRequestBranchProtection.md)
 - [WebPullRequestDetail](docs/WebPullRequestDetail.md)
 - [WebPullRequestFileComments](docs/WebPullRequestFileComments.md)
 - [WebPullRequestFiles](docs/WebPullRequestFiles.md)
 - [WebPullRequestRepository](docs/WebPullRequestRepository.md)
 - [WebPullRequestResource](docs/WebPullRequestResource.md)
 - [WebPullRequestResourceReviewer](docs/WebPullRequestResourceReviewer.md)
 - [WebPullRequestReviewComment](docs/WebPullRequestReviewComment.md)
 - [WebPullRequestReviewCommentReply](docs/WebPullRequestReviewCommentReply.md)
 - [WebPullRequestReviewer](docs/WebPullRequestReviewer.md)
 - [WebPullRequestReviews](docs/WebPullRequestReviews.md)
 - [WebPullRequestSetting](docs/WebPullRequestSetting.md)
 - [WebPullRequestSettings](docs/WebPullRequestSettings.md)
 - [WebPullRequestState](docs/WebPullRequestState.md)
 - [WebPullViewedFile](docs/WebPullViewedFile.md)
 - [WebPushLimitSettings](docs/WebPushLimitSettings.md)
 - [WebRawAuthor](docs/WebRawAuthor.md)
 - [WebRecommendBranchNameResponse](docs/WebRecommendBranchNameResponse.md)
 - [WebRecommendReviewer](docs/WebRecommendReviewer.md)
 - [WebRef](docs/WebRef.md)
 - [WebRefWithPath](docs/WebRefWithPath.md)
 - [WebReferTapd](docs/WebReferTapd.md)
 - [WebRelease](docs/WebRelease.md)
 - [WebReleaseAsset](docs/WebReleaseAsset.md)
 - [WebReleaseList](docs/WebReleaseList.md)
 - [WebReleaseTag](docs/WebReleaseTag.md)
 - [WebRepoContribSimply](docs/WebRepoContribSimply.md)
 - [WebRepoContribTrend](docs/WebRepoContribTrend.md)
 - [WebRepoLanguage](docs/WebRepoLanguage.md)
 - [WebRepoLicense](docs/WebRepoLicense.md)
 - [WebRepository](docs/WebRepository.md)
 - [WebRepositoryUsage](docs/WebRepositoryUsage.md)
 - [WebResource](docs/WebResource.md)
 - [WebSignature](docs/WebSignature.md)
 - [WebSubEntry](docs/WebSubEntry.md)
 - [WebSubmodule](docs/WebSubmodule.md)
 - [WebTag](docs/WebTag.md)
 - [WebTagAnnotation](docs/WebTagAnnotation.md)
 - [WebTagList](docs/WebTagList.md)
 - [WebTagObject](docs/WebTagObject.md)
 - [WebTreeContent](docs/WebTreeContent.md)
 - [WebTreeEntry](docs/WebTreeEntry.md)
 - [WebTreeInfo](docs/WebTreeInfo.md)
 - [WebTreeInfoEntry](docs/WebTreeInfoEntry.md)
 - [WebUpdateGitQuotaForm](docs/WebUpdateGitQuotaForm.md)
 - [WebUpdateLfsQuotaForm](docs/WebUpdateLfsQuotaForm.md)
 - [WebUpdatePullViewedFileForm](docs/WebUpdatePullViewedFileForm.md)
 - [WebUserContributorSimply](docs/WebUserContributorSimply.md)
 - [WebWeek](docs/WebWeek.md)
 - [WebapiCommitAssetID](docs/WebapiCommitAssetID.md)
 - [WebapiCreateBranchForm](docs/WebapiCreateBranchForm.md)
 - [WebapiCreateIssueCommentForm](docs/WebapiCreateIssueCommentForm.md)
 - [WebapiCreatePullRequestCommentForm](docs/WebapiCreatePullRequestCommentForm.md)
 - [WebapiCreatePullRequestForm](docs/WebapiCreatePullRequestForm.md)
 - [WebapiCreateTagForm](docs/WebapiCreateTagForm.md)
 - [WebapiHeadRef](docs/WebapiHeadRef.md)
 - [WebapiInitRepositoryForm](docs/WebapiInitRepositoryForm.md)
 - [WebapiMergePullRequestForm](docs/WebapiMergePullRequestForm.md)
 - [WebapiPatchIssueAssigneesForm](docs/WebapiPatchIssueAssigneesForm.md)
 - [WebapiPatchPullRequestAssigneesForm](docs/WebapiPatchPullRequestAssigneesForm.md)
 - [WebapiPatchPullRequestReviewCommentForm](docs/WebapiPatchPullRequestReviewCommentForm.md)
 - [WebapiPatchPullRequestReviewForm](docs/WebapiPatchPullRequestReviewForm.md)
 - [WebapiPatchPullRequestReviewersForm](docs/WebapiPatchPullRequestReviewersForm.md)
 - [WebapiPatchReleaseForm](docs/WebapiPatchReleaseForm.md)
 - [WebapiPostCommitFile](docs/WebapiPostCommitFile.md)
 - [WebapiPostCommitForm](docs/WebapiPostCommitForm.md)
 - [WebapiPostPendingPullRequestReviewEventForm](docs/WebapiPostPendingPullRequestReviewEventForm.md)
 - [WebapiPostPullRequestReviewCommentForm](docs/WebapiPostPullRequestReviewCommentForm.md)
 - [WebapiPostPullRequestReviewForm](docs/WebapiPostPullRequestReviewForm.md)
 - [WebapiPostPullRequestReviewReplyForm](docs/WebapiPostPullRequestReviewReplyForm.md)
 - [WebapiPostReleaseAssetForm](docs/WebapiPostReleaseAssetForm.md)
 - [WebapiPostReleaseForm](docs/WebapiPostReleaseForm.md)
 - [WebapiPullRequestNumber](docs/WebapiPullRequestNumber.md)
 - [WebapiPullRequestReviewID](docs/WebapiPullRequestReviewID.md)
 - [WebapiPutCommitAnnotation](docs/WebapiPutCommitAnnotation.md)
 - [WebapiPutCommitAnnotationsForm](docs/WebapiPutCommitAnnotationsForm.md)
 - [WebapiPutIssueLabelsForm](docs/WebapiPutIssueLabelsForm.md)
 - [WebapiPutPullRequestLabelsForm](docs/WebapiPutPullRequestLabelsForm.md)
 - [WebapiPutTagAnnotation](docs/WebapiPutTagAnnotation.md)
 - [WebapiPutTagAnnotationsForm](docs/WebapiPutTagAnnotationsForm.md)
 - [WebapiReleaseAssetID](docs/WebapiReleaseAssetID.md)
 - [WebapiUpdateCodeSensitiveIgnoreForm](docs/WebapiUpdateCodeSensitiveIgnoreForm.md)
 - [WebapiUpdatePullRequestForm](docs/WebapiUpdatePullRequestForm.md)
 - [WechatAuthorizedUser](docs/WechatAuthorizedUser.md)
 - [WechatLoginState](docs/WechatLoginState.md)
 - [WechatLoginTicket](docs/WechatLoginTicket.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization


Authentication schemes defined for the API:
<a id="BearerAuth"></a>
### BearerAuth

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header


## Author

cnb@tencent.com


